Package com.mockobjects.servlet

# Class MockPageContext

PageContext
com.mockobjects.servlet.MockPageContext

public class MockPageContext extends PageContext

## Constructor Summary

Constructors
Constructor
Description
`MockPageContext()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`findAttribute(String s)`
`void`
`forward(String s)`
`Object`
`getAttribute(String s)`
`Object`
`getAttribute(String s, int i)`
`Enumeration`
`getAttributeNamesInScope(int i)`
`int`
`getAttributesScope(String s)`
`Exception`
`getException()`
`JspWriter`
`getOut()`
`Object`
`getPage()`
`ServletRequest`
`getRequest()`
`ServletResponse`
`getResponse()`
`ServletConfig`
`getServletConfig()`
`ServletContext`
`getServletContext()`
`HttpSession`
`getSession()`
`void`
`handlePageException(Exception e)`
`void`
`handlePageException(Throwable t)`
`void`
`include(String s)`
`void`
`initialize(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String s, boolean b, int i, boolean b2)`
`void`
`release()`
`void`
`removeAttribute(String s)`
`void`
`removeAttribute(String s, int i)`
`void`
`setAttribute(String s, Object o)`
`void`
`setAttribute(String s, Object o, int i)`
`void`
`setJspWriter(JspWriter jspWriter)`
`void`
`setRequest(ServletRequest servletRequest)`
`void`
`setServletContext(ServletContext servletContext)`
`void`
`setSession(HttpSession httpSession)`
`void`
`verify()`

## Constructor Details

### MockPageContext

public MockPageContext()

## Method Details

### release

public void release()

### getOut

public JspWriter getOut()

### setJspWriter

public void setJspWriter(JspWriter jspWriter)

### handlePageException

public void handlePageException(Exception e)

### getServletContext

public ServletContext getServletContext()

### setServletContext

public void setServletContext(ServletContext servletContext)

### getAttributesScope

public int getAttributesScope(String s)

### include

public void include(String s)

### removeAttribute

public void removeAttribute(String s, int i)

### getAttributeNamesInScope

public Enumeration getAttributeNamesInScope(int i)

### forward

public void forward(String s)

### getPage

public Object getPage()

### handlePageException

public void handlePageException(Throwable t)

### setRequest

public void setRequest(ServletRequest servletRequest)

### getRequest

public ServletRequest getRequest()

### getResponse

public ServletResponse getResponse()

### removeAttribute

public void removeAttribute(String s)

### getAttribute

public Object getAttribute(String s, int i)

### getServletConfig

public ServletConfig getServletConfig()

### initialize

public void initialize(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String s, boolean b, int i, boolean b2)

### findAttribute

public Object findAttribute(String s)

### getSession

public HttpSession getSession()

### setSession

public void setSession(HttpSession httpSession)

### setAttribute

public void setAttribute(String s, Object o)

### setAttribute

public void setAttribute(String s, Object o, int i)

### getAttribute

public Object getAttribute(String s)

### getException

public Exception getException()

### verify

public void verify()